import axios from '@/libs/api.request'

// 获取库存管理列表
export const GetStockPageList = (data = {}) => {
  return axios.request({
    url: '/api/Stock/GetStockPageList',
    data,
    method: 'post'
  })
}

// 出入库记录
export const GetStockWaterPageList = (data = {}) => {
  return axios.request({
    url: '/api/Stock/GetStockWaterPageList',
    data,
    method: 'post'
  })
}

// 盘点记录
export const GetCheckRecordPageList = (data = {}) => {
  return axios.request({
    url: '/api/Stock/GetCheckRecordPageList',
    data,
    method: 'post'
  })
}

// 盘点记录明细
export const GetCheckDetailPageList = (data = {}) => {
  return axios.request({
    url: '/api/Stock/GetCheckDetailPageList',
    data,
    method: 'post'
  })
}

// 每日库存盘点列表
export const EveryDayStorageCheckList = (data = {}) => {
  return axios.request({
    url: '/api/Stock/EveryDayStorageCheckList',
    data,
    method: 'post'
  })
}

// 人工库存盘点列表
export const PeopleStorageCheckList = (data = {}) => {
  return axios.request({
    url: '/api/Stock/PeopleStorageCheckList',
    data,
    method: 'post'
  })
}

// 单个Rfid完成库存盘点
export const RfidCompleteCheck = (data = {}) => {
  return axios.request({
    url: '/api/Stock/RfidCompleteCheck',
    data,
    method: 'post'
  })
}

// 申领单详情分页
export const GetApplyTakePageList = (data = {}) => {
  return axios.request({
    url: '/api/ApplyTake/GetPageList',
    data,
    method: 'post'
  })
}

// 新增领料申请单
export const AddApplyTake = (data = {}) => {
  return axios.request({
    url: '/api/ApplyTake/Add',
    data,
    method: 'post'
  })
}

// 领料申请审批或驳回
export const ApprovalTake = (data = {}) => {
  return axios.request({
    url: '/api/ApplyTake/ApprovalTake',
    data,
    method: 'post'
  })
}

// 获取领料单审批流程
export const GetApprovalFlows = (data = {}) => {
  return axios.request({
    url: '/api/ApprovalFlow/GetApprovalFlows',
    data,
    method: 'post'
  })
}

// 获取出库记录
export const GetOutStockPageList = (data = {}) => {
  return axios.request({
    url: '/api/StockInOut/GetOutStockPageList',
    data,
    method: 'post'
  })
}

// 获取出库记录明细
export const GetOutBillDetail = (data = {}) => {
  return axios.request({
    url: '/api/StockInOut/GetOutBillDetail',
    data,
    method: 'post'
  })
}

// 获取入库记录
export const GetInStockPageList = (data = {}) => {
  return axios.request({
    url: '/api/StockInOut/GetInStockPageList',
    data,
    method: 'post'
  })
}

// 采购申请单
export const GetApplyBill = (data = {}) => {
  return axios.request({
    url: '/api/StockInOut/GetApplyBill',
    data,
    method: 'post'
  })
}

// 入库单
export const GetInStockBill = (data = {}) => {
  return axios.request({
    url: '/api/StockInOut/GetInStockBill',
    data,
    method: 'post'
  })
}

// 获取质检记录
export const GetQuantityCheckRecordList = (data = {}) => {
  return axios.request({
    url: '/api/StockQuantityCheck/GetQuantityCheckRecordList',
    data,
    method: 'post'
  })
}

// 获取质检记录(新)
export const GetQuantityCheckRecord = (data = {}) => {
  return axios.request({
    url: '/api/StockQuantityCheck/GetQuantityCheckRecord',
    data,
    method: 'post'
  })
}

// 获取其他出库详情（待办事项审批）
export const GetApplyStockOutBill = (data = {}) => {
  return axios.request({
    url: '/api/ApplyTake/GetApplyStockOutBill',
    data,
    method: 'post'
  })
}

// 获取归还入库申请
export const GetApplyStockInBackRequestDto = (data = {}) => {
  return axios.request({
    url: '/api/StockInOut/GetApplyStockInBackRequestDto',
    data,
    method: 'post'
  })
}

// 盘盈亏单
export const GetMonthStockCheck = (data = {}) => {
  return axios.request({
    url: '/api/StockInOut/GetMonthStockCheck',
    data,
    method: 'post'
  })
}

// 入库单序时簿
export const GetStockInDocumentList = (data = {}) => {
  return axios.request({
    url: '/api/StockInOut/GetStockInDocumentList',
    data,
    method: 'post'
  })
}

// 领料序时簿
export const GetStockTakeDocumentList = (data = {}) => {
  return axios.request({
    url: '/api/StockInOut/GetStockTakeDocumentList',
    data,
    method: 'post'
  })
}

// 物料收发汇总
export const GetMaterialStockInOutSum = (data = {}) => {
  return axios.request({
    url: '/api/StockInOut/GetMaterialStockInOutSum',
    data,
    method: 'post'
  })
}

// 物料月汇总
export const GetMaterialMonthSum = (data = {}) => {
  return axios.request({
    url: '/api/StockInOut/GetMaterialMonthSum',
    data,
    method: 'post'
  })
}

// 物料进出信息
export const GetStockWaterInOut = (data = {}) => {
  return axios.request({
    url: '/api/StockInOut/GetStockWaterInOut',
    data,
    method: 'post'
  })
}

// 库存列表
export const GetStockDataPageList = (data = {}) => {
  return axios.request({
    url: '/api/Stock/GetStockDataPageList',
    data,
    method: 'post'
  })
}

// 出入库
export const DoStorageDataInOut = (data = {}) => {
  return axios.request({
    url: '/api/Stock/DoStorageDataInOut',
    data,
    method: 'post'
  })
}

// 新建标签
export const CreateStockTagWeb = (data = {}) => {
  return axios.request({
    url: '/api/StockInOut/CreateStockTagWeb',
    data,
    method: 'post'
  })
}

// 新建标签
export const GetStockTagData = (data = {}) => {
  return axios.request({
    url: '/api/StockInOut/GetStockTagData',
    data,
    method: 'post'
  })
}

// 出库明细
export const GetStockTagDetialPageList = (data = {}) => {
  return axios.request({
    url: '/api/Stock/GetStockTagDetialPageList',
    data,
    method: 'post'
  })
}

// 修改库存标签数量
export const UpdateStockTagQty = (data = {}) => {
  return axios.request({
    url: '/api/Stock/UpdateStockTagQty',
    data,
    method: 'post'
  })
}

// 标签出库
export const StockTagOut = (data = {}) => {
  return axios.request({
    url: '/api/Stock/StockTagOut',
    data,
    method: 'post'
  })
}

// 取消领料神奇
export const CancelApplyTake = (data = {}) => {
  return axios.request({
    url: '/api/ApplyTake/CancelApplyTake',
    data,
    method: 'post'
  })
}

// 获取技术员报表
export const TechnicianReport = (data = {}) => {
  return axios.request({
    url: '/api/StockInOut/TechnicianReport',
    data,
    method: 'post'
  })
}

// 获取技术员列表
export const TechnicianReportUser = (data = {}) => {
  return axios.request({
    url: '/api/StockInOut/TechnicianReportUser',
    data,
    method: 'post'
  })
}

// 盘点记录明细
export const GetAllCheckResultPageList = (data = {}) => {
  return axios.request({
    url: '/api/Stock/GetAllCheckResultPageList',
    data,
    method: 'post'
  })
}

// 盘点记录获取审批数据
export const GetFlowCheckDataPageList = (data = {}) => {
  return axios.request({
    url: '/api/Stock/GetFlowCheckDataPageList',
    data,
    method: 'post'
  })
}

// 库存汇总（按照工艺类型/用途）
export const GetStockDetailSum = (data = {}) => {
  return axios.request({
    url: '/api/Stock/GetStockDetailSum',
    data,
    method: 'post'
  })
}

// 获取面料用途
export const GetStockMaterialPurpose = (data = {}) => {
  return axios.request({
    url: '/api/Stock/GetStockMaterialPurpose',
    data,
    method: 'post'
  })
}

// 提交指定用户盘点
export const SubmitUserCheck = (data = {}) => {
  return axios.request({
    url: '/api/Stock/SubmitUserCheck',
    data,
    method: 'post'
  })
}

// 错误标签明细查询
export const GetAllErrorTag = (data = {}) => {
  return axios.request({
    url: '/api/Stock/GetAllErrorTag',
    data,
    method: 'post'
  })
}

// 错误标签列表查询
export const GetErrorTagDateList = (data = {}) => {
  return axios.request({
    url: '/api/Stock/GetErrorTagDateList',
    data,
    method: 'post'
  })
}

// 手动发起整仓盘点
export const BeginPlcAllStorageCheck = (data = {}) => {
  return axios.request({
    url: '/api/Stock/BeginPlcAllStorageCheck',
    data,
    method: 'post'
  })
}

// 个人库存统计数据
export const GetUserStockStat = (data = {}) => {
  return axios.request({
    url: '/api/Stock/GetUserStockStat',
    data,
    method: 'post'
  })
}

// 获取个人库存列表
export const GetUserStockList = (data = {}) => {
  return axios.request({
    url: '/api/Stock/GetUserStockList',
    data,
    method: 'post'
  })
}

// 编辑个人库存
export const EditUserStock = (data = {}) => {
  return axios.request({
    url: '/api/Stock/EditUserStock',
    data,
    method: 'post'
  })
}

// 编辑个人工盘点记录
export const GetUserCheckTaskList = (data = {}) => {
  return axios.request({
    url: '/api/Stock/GetUserCheckTaskList',
    data,
    method: 'post'
  })
}

// 批量单新增
export const AddMaterialUse = (data = {}) => {
  return axios.request({
    url: '/api/Stock/AddMaterialUse',
    data,
    method: 'post'
  })
}

// 批量单删除
export const DelMaterialUse = (data = {}) => {
  return axios.request({
    url: '/api/Stock/DelMaterialUse',
    data,
    method: 'post'
  })
}

// 批量单列表
export const GetMaterialUseList = (data = {}) => {
  return axios.request({
    url: '/api/Stock/GetMaterialUseList',
    data,
    method: 'post'
  })
}

// 盘点记录月份统计
export const GetCheckRecordMonthStat = (data = {}) => {
  return axios.request({
    url: '/api/Stock/GetCheckRecordMonthStat',
    data,
    method: 'post'
  })
}

// 盘点人数(月份统计明细)
export const GetMonthCheckUserList = (data = {}) => {
  return axios.request({
    url: '/api/Stock/GetMonthCheckUserList',
    data,
    method: 'post'
  })
}

// 盘点记录明细(盘点记录/月统计明细)
export const GetCheckRecordDetailList = (data = {}) => {
  return axios.request({
    url: '/api/Stock/GetCheckRecordDetailList',
    data,
    method: 'post'
  })
}

// 盘点标签(库存列表/月统计明细)
export const GetSingleMaterialCTList = (data = {}) => {
  return axios.request({
    url: '/api/Stock/GetCheckTagList',
    data,
    method: 'post'
  })
}

// 盘盈亏期初期末统计(月份统计明细)
export const GetMonthBeginEndStat = (data = {}) => {
  return axios.request({
    url: '/api/Stock/GetMonthBeginEndStat',
    data,
    method: 'post'
  })
}

// 按面料获取盘点记录(库存列表)
export const GetSingleMaterialCRList = (data = {}) => {
  return axios.request({
    url: '/api/Stock/GetSingleMaterialCRList',
    data,
    method: 'post'
  })
}

// 获取盘点审批分页数据
export const GetErrorTagPageList = (data = {}) => {
  return axios.request({
    url: '/api/Stock/GetErrorTagPageList',
    data,
    method: 'post'
  })
}

// 库存管理展开数据
export const GetStockTagDetailList = (data = {}) => {
  return axios.request({
    url: '/api/Stock/GetStockTagDetailList',
    data,
    method: 'post'
  })
}

// 添加个人仓库
export const AddUserStock = (data = {}) => {
  return axios.request({
    url: '/api/Stock/AddUserStock',
    data,
    method: 'post'
  })
}

// 转移个人仓库
export const TransferUserStock = (data = {}) => {
  return axios.request({
    url: '/api/Stock/TransferUserStock',
    data,
    method: 'post'
  })
}

// 删除指定用户盘点
export const DelUserCheck = (data = {}) => {
  return axios.request({
    url: '/api/Stock/DelUserCheck',
    data,
    method: 'post'
  })
}

// 查询指定用户盘点
export const GetUserCheck = (data = {}) => {
  return axios.request({
    url: '/api/Stock/GetUserCheck',
    data,
    method: 'post'
  })
}

// 获取标签
export const GetStockTagPage = (data = {}) => {
  return axios.request({
    url: '/api/Stock/GetStockTagPage',
    data,
    method: 'post'
  })
}

// 免检申请
export const GetStockExemptCheck = (data = {}) => {
  return axios.request({
    url: '/api/StockQuantityCheck/GetStockExemptCheck',
    data,
    method: 'post'
  })
}

// 绑定rfid
export const BandingStockInRfidCode = (data = {}) => {
  return axios.request({
    url: '/api/StockInOut/BandingStockInRfidCode',
    data,
    method: 'post'
  })
}

// 获取退料分页列表
export const GetStockBackPage = (data = {}) => {
  return axios.request({
    url: '/api/ApplyTake/GetStockBackPage',
    data,
    method: 'post'
  })
}
// 退料 获取质检/获取现场退料申请
export const GetApplySceneBack = (data = {}) => {
  return axios.request({
    url: '/api/ApplyTake/GetApplySceneBack',
    data,
    method: 'post'
  })
}
// 质检员判定退料申请
export const CheckApplySceneBack = (data = {}) => {
  return axios.request({
    url: '/api/ApplyTake/CheckApplySceneBack',
    data,
    method: 'post'
  })
}

// 退料相关
export const GetApplySceneBackData = (data = {}) => {
  return axios.request({
    url: '/api/ApplyTake/GetApplySceneBackData',
    data,
    method: 'post'
  })
}

// 报废
export const DestroyStockBack = (data = {}) => {
  return axios.request({
    url: '/api/ApplyTake/DestroyStockBack',
    data,
    method: 'post'
  })
}

// 退款
export const RefundsStockBack = (data = {}) => {
  return axios.request({
    url: '/api/ApplyTake/RefundsStockBack',
    data,
    method: 'post'
  })
}

// 退货
export const PurchaserDealWithStockBack = (data = {}) => {
  return axios.request({
    url: '/api/ApplyTake/PurchaserDealWithStockBack',
    data,
    method: 'post'
  })
}
